## GoComponentFactory

GoComponentFactory —

## Synopsis

    enum        GOMimePriority;
                GOComponentType;
    GSList*     go_components_get_mime_types    (void);
    GOMimePriority go_components_get_priority   (char const *mime_type);
    void        go_components_add_mime_type     (char *mime,
                                                 GOMimePriority priority,
                                                 char const *service_id);
    void        goc_plugin_services_init        (void);
    void        goc_plugin_services_shutdown    (void);

## Description

## Details

### enum GOMimePriority

    typedef enum
    {
    	GO_MIME_PRIORITY_INVALID = -1,
    	GO_MIME_PRIORITY_DISPLAY,
    	GO_MIME_PRIORITY_PRINT,
    	GO_MIME_PRIORITY_PARTIAL,
    	GO_MIME_PRIORITY_FULL,
    	GO_MIME_PRIORITY_NATIVE,
    } GOMimePriority;

### GOComponentType

    typedef struct _GOComponentType GOComponentType;

### go_components_get_mime_types ()

    GSList*     go_components_get_mime_types    (void);

Returns : |

### go_components_get_priority ()

    GOMimePriority go_components_get_priority   (char const *mime_type);

`mime_type` : |
Returns : |

### go_components_add_mime_type ()

    void        go_components_add_mime_type     (char *mime,
                                                 GOMimePriority priority,
                                                 char const *service_id);

`mime` : |
`priority` : |
`service_id` : |

### goc_plugin_services_init ()

    void        goc_plugin_services_init        (void);

### goc_plugin_services_shutdown ()

    void        goc_plugin_services_shutdown    (void);